com.google.gwt.aria.client

## Enum OrientationValue

- java.lang.Object
- - java.lang.Enum<OrientationValue>
  - - com.google.gwt.aria.client.OrientationValue

All Implemented Interfaces:
  AriaAttributeType, java.io.Serializable, java.lang.Comparable<OrientationValue>

    public enum OrientationValue
    extends java.lang.Enum<OrientationValue>
    implements AriaAttributeType

Property enum for 'aria-orientation' values.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HORIZONTAL`
`VERTICAL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getAriaValue()`
`static OrientationValue` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OrientationValue[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HORIZONTAL

    public static final OrientationValue HORIZONTAL

#### VERTICAL

    public static final OrientationValue VERTICAL

### Method Detail

#### values

    public static OrientationValue[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OrientationValue c : OrientationValue.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OrientationValue valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getAriaValue

    public java.lang.String getAriaValue()

Specified by:
  `getAriaValue` in interface `AriaAttributeType`